Subject: Re: [xml2rfc-dev] [svnhook] Svn commit to tools/xml2rfc

From: Tony Hansen <[email-masked]>
Date: Thu, 25 Aug 2011 17:49:29 -0400

I installed this version on xml.resource.org.

I'm having a problem getting it to find external references when invoked 
from the web (http://xml.resource.org/experimental.html).

Try sending it draft-ietf-iri-4395bis-irireg-03.xml

I printed out the value of $XML_LIBRARY to help debug this.

Are there additional options I can invoke xml2rfc2 with (in addition to 
--verbose) that will tell us *where* it's looking for its references?

Also, it doesn't appear that xml2rfc is exiting with an error code when 
it cannot parse the file. Please add an exit non-zero (e.g. 1) or its 
equivalent for any failures.

     Tony

On 8/25/2011 5:20 PM, www-data wrote:
> [email-masked] has made a new SVN commit in
> tools/xml2rfc/version2 [524]:
>
> Caching resolver will print both URL and cache locations if --verbose
>
> "Index" section skipped if no irefs are registered
>
> Svn:  http://svn.tools.ietf.org/svn/tools/xml2rfc//version2
> Trac: http://trac.tools.ietf.org/tools/xml2rfc/trac//changeset/524/version2
>
> Files:
>
> U   version2/cli/xml2rfc/parser.py
> U   version2/cli/xml2rfc/writers/base.py
> U   version2/cli/xml2rfc/writers/paginated_txt.py
>

---

From: Tony Hansen <[email-masked]>
Date: Thu, 25 Aug 2011 21:43:27 -0400

On 8/25/2011 7:29 PM, Josh Bothun wrote:
> Hi Tony,
>
> On Aug 25, 2011, at 2:49 PM, Tony Hansen wrote:
>
>> I installed this version on xml.resource.org <http://xml.resource.org>.
>>
>> I'm having a problem getting it to find external references when 
>> invoked from the web (http://xml.resource.org/experimental.html).
>>
>> Are there additional options I can invoke xml2rfc2 with (in addition 
>> to --verbose) that will tell us *where* it's looking for its references?
>
> I see the error -- this is odd.   The reason the error simply says:
>
> Unable to resolve external request: 
> "http://xml.resource.org/public/rfc/bibxml/reference.RFC.3987.xml"
>
> instead of giving a list of locations it tried is because the source 
> document asks for that full URL, so no other locations are tried.  Why 
> its failing on a perfectly valid URL, however, I'm not sure of yet. 
>  It works fine on my local machine, and hopefully yours as well.  I 
> will look into this.

It may be an issue with permissions on the cache. Error messages to that 
effect would be useful.

I'm pretty sure xml2rfc1 looks up the files for full URLs in 
$XML_LIBRARY first *before* trying to find them on the network, so 
that's probably a compatibility bug.

>> Also, it doesn't appear that xml2rfc is exiting with an error code 
>> when it cannot parse the file. Please add an exit non-zero (e.g. 1) 
>> or its equivalent for any failures.
>
> Sure, will do.

thanks!

     Tony

> -josh
>>> [email-masked] <mailto:[email-masked]> has 
>>> made a new SVN commit in
>>> Trac: 
>>> http://trac.tools.ietf.org/tools/xml2rfc/trac//changeset/524/version2
>>>
>>> Files:
>>>